<div class="container mt-3">
  <ng-template #errTmpl>
    WebSocket server offline...
  </ng-template>
  <ng-container *ngIf="wsService.online; else errTmpl">
    <h1 class="mb-3 text-center">
      <ng-container *ngIf="!active">D3 помощник «Спринтер»</ng-container>
      <ng-container *ngIf="active">
        Время:
        <span
          class="fw-bold"
          [class.text-success]="currentTimeOffset > 0"
          [class.text-danger]="currentTimeOffset < 0"
        >
        {{currentMinute | number:'2.0'}} м.
          {{currentSecond | number:'2.0'}} с.
      </span>
      </ng-container>
      <button type="button" class="btn-close" aria-label="Close"
              *ngIf="active" (click)="active = false"></button>
    </h1>
    <div class="row">
      <div class="col-12">
        <div class="mb-4 progress">
          <div class="progress-bar progress-bar-striped"
               [class.progress-bar-animated]="active"
               [class.bg-success]="currentTimeOffset >= 0"
               [class.bg-danger]="currentTimeOffset < 0"
               role="progressbar" [style.width.%]="currentProgressProc"
               [attr.aria-valuenow]="currentProgressProc" aria-valuemin="0"
               aria-valuemax="100">
            <ng-container *ngIf="currentQuestNum > 35 && currentTimeOffset >= 0">Запас:</ng-container>
            <ng-container *ngIf="currentQuestNum > 35 && currentTimeOffset < 0">Отставание:</ng-container>
            {{currentTimeOffset}} мин.
          </div>
        </div>
      </div>
      <div class="col-md-6 mx-auto d-none d-md-block">
        <div class="btn-group w-100 btn-group-lg mb-4" role="group" aria-label="Управление">
          <button type="button" class="btn btn-outline-primary"
                  *ngIf="!active" (click)="active = true">Старт
          </button>
          <button type="button" class="btn btn-outline-warning"
                  *ngIf="active" [disabled]="!(currentQuestNum > 0)"
                  (click)="onPrevQ()">Назад
          </button>
          <button type="button" class="btn btn-outline-success"
                  *ngIf="active" [disabled]="!(currentQuestNum < questsCount - 1)"
                  (click)="onNextQ()">Вперед
          </button>
        </div>
      </div>
    </div>
    <!--  <h2>{{currentQuestNum}}</h2>-->
    <!--  <pre>-->
    <!--    {{quests | json}}-->
    <!--  </pre>-->
    <div class="row" *ngIf="active">
      <div class="col-md-4">
        <app-quest-item [quest]="quests[currentQuestNum]">
          <i class="bi bi-play-circle-fill text-success mr-2"></i>
        </app-quest-item>
      </div>
      <div class="col-md-4 opacity-75" *ngIf="currentQuestNum < questsCount - 1">
        <app-quest-item [quest]="quests[currentQuestNum + 1]">
          <i class="bi bi-pause-circle text-warning mr-2"></i>
        </app-quest-item>
      </div>
      <div class="col-md-4 opacity-75" *ngIf="currentQuestNum < questsCount - 2">
        <app-quest-item [quest]="quests[currentQuestNum + 2]">
          <i class="bi bi-pause-circle text-warning mr-2"></i>
        </app-quest-item>
      </div>
    </div>
    <div class="mobile-btn-group d-block d-md-none">
      <div class="btn-group w-100 btn-group-lg" role="group" aria-label="Управление">
        <button type="button" class="btn btn-outline-primary"
                *ngIf="!active" (click)="active = true">Старт
        </button>
        <button type="button" class="btn btn-outline-warning"
                *ngIf="active" [disabled]="!(currentQuestNum > 0)"
                (click)="onPrevQ()">Назад
        </button>
        <button type="button" class="btn btn-outline-success"
                *ngIf="active" [disabled]="!(currentQuestNum < questsCount - 1)"
                (click)="onNextQ()">Вперед
        </button>
      </div>
    </div>
  </ng-container>
  <div class="d-none">
    <p class="debug-text" #debugElem></p>
  </div>
</div>
